// This class was generated by the JAXRPC SI, do not edit.
// Contents subject to change without notice.
// JAX-RPC Standard Implementation (1.1.3, Build R2)
// Generated source version: 1.1.3

package info.textgrid.lab.dictionarysearch.client;

import javax.xml.namespace.QName;

import com.sun.xml.rpc.encoding.CombinedSerializer;
import com.sun.xml.rpc.encoding.DeserializationException;
import com.sun.xml.rpc.encoding.Initializable;
import com.sun.xml.rpc.encoding.InternalTypeMappingRegistry;
import com.sun.xml.rpc.encoding.ObjectSerializerBase;
import com.sun.xml.rpc.encoding.SOAPDeserializationContext;
import com.sun.xml.rpc.encoding.SOAPDeserializationState;
import com.sun.xml.rpc.encoding.SOAPSerializationContext;
import com.sun.xml.rpc.streaming.XMLReader;
import com.sun.xml.rpc.streaming.XMLReaderUtil;
import com.sun.xml.rpc.streaming.XMLWriter;
import com.sun.xml.rpc.wsdl.document.schema.SchemaConstants;

public class Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPSerializer extends
		ObjectSerializerBase implements Initializable {
	private static final javax.xml.namespace.QName ns1_sourceID_QNAME = new QName(
			"", "sourceID");
	private static final javax.xml.namespace.QName ns2_string_TYPE_QNAME = SchemaConstants.QNAME_TYPE_STRING;
	private CombinedSerializer ns2_myns2_string__java_lang_String_String_Serializer;
	private static final javax.xml.namespace.QName ns1_sourcefolder_QNAME = new QName(
			"", "sourcefolder");
	private static final javax.xml.namespace.QName ns1_targetID_QNAME = new QName(
			"", "targetID");
	private static final javax.xml.namespace.QName ns1_targetfolder_QNAME = new QName(
			"", "targetfolder");
	private static final javax.xml.namespace.QName ns1_bName_QNAME = new QName(
			"", "bName");
	private static final javax.xml.namespace.QName ns1_quality_QNAME = new QName(
			"", "quality");
	private static final javax.xml.namespace.QName ns1_comment_QNAME = new QName(
			"", "comment");
	private static final javax.xml.namespace.QName ns1_semanticRelation_QNAME = new QName(
			"", "semanticRelation");
	private static final javax.xml.namespace.QName ns1_etymRelation_QNAME = new QName(
			"", "etymRelation");
	private static final javax.xml.namespace.QName ns1_SID_QNAME = new QName(
			"", "SID");
	private static final javax.xml.namespace.QName ns1_approved_QNAME = new QName(
			"", "approved");
	private static final javax.xml.namespace.QName ns1_deleted_QNAME = new QName(
			"", "deleted");
	private static final javax.xml.namespace.QName ns1_editable_QNAME = new QName(
			"", "editable");
	private static final int mySOURCEID_INDEX = 0;
	private static final int mySOURCEFOLDER_INDEX = 1;
	private static final int myTARGETID_INDEX = 2;
	private static final int myTARGETFOLDER_INDEX = 3;
	private static final int myBNAME_INDEX = 4;
	private static final int myQUALITY_INDEX = 5;
	private static final int myCOMMENT_INDEX = 6;
	private static final int mySEMANTICRELATION_INDEX = 7;
	private static final int myETYMRELATION_INDEX = 8;
	private static final int mySID_INDEX = 9;
	private static final int myAPPROVED_INDEX = 10;
	private static final int myDELETED_INDEX = 11;
	private static final int myEDITABLE_INDEX = 12;

	public Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPSerializer(
			QName type, boolean encodeType, boolean isNullable,
			String encodingStyle) {
		super(type, encodeType, isNullable, encodingStyle);
	}

	@Override
	public void initialize(InternalTypeMappingRegistry registry)
			throws java.lang.Exception {
		ns2_myns2_string__java_lang_String_String_Serializer = (CombinedSerializer) registry
				.getSerializer(com.sun.xml.rpc.spi.tools.SOAPConstants.NS_SOAP_ENCODING,
						java.lang.String.class, ns2_string_TYPE_QNAME);
	}

	@Override
	public java.lang.Object doDeserialize(SOAPDeserializationState state,
			XMLReader reader, SOAPDeserializationContext context)
			throws java.lang.Exception {
		info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct instance = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct();
		info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPBuilder builder = null;
		java.lang.Object member;
		boolean isComplete = true;
		javax.xml.namespace.QName elementName;

		reader.nextElementContent();
		for (int i = 0; i < 13; i++) {
			elementName = reader.getName();
			if (reader.getState() == XMLReader.END) {
				break;
			}
			if (elementName.equals(ns1_sourceID_QNAME)) {
				member = ns2_myns2_string__java_lang_String_String_Serializer
						.deserialize(ns1_sourceID_QNAME, reader, context);
				if (member instanceof SOAPDeserializationState) {
					if (builder == null) {
						builder = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPBuilder();
					}
					state = registerWithMemberState(instance, state, member,
							mySOURCEID_INDEX, builder);
					isComplete = false;
				} else {
					instance.setSourceID((java.lang.String) member);
				}
				reader.nextElementContent();
				continue;
			}
			if (elementName.equals(ns1_sourcefolder_QNAME)) {
				member = ns2_myns2_string__java_lang_String_String_Serializer
						.deserialize(ns1_sourcefolder_QNAME, reader, context);
				if (member instanceof SOAPDeserializationState) {
					if (builder == null) {
						builder = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPBuilder();
					}
					state = registerWithMemberState(instance, state, member,
							mySOURCEFOLDER_INDEX, builder);
					isComplete = false;
				} else {
					instance.setSourcefolder((java.lang.String) member);
				}
				reader.nextElementContent();
				continue;
			}
			if (elementName.equals(ns1_targetID_QNAME)) {
				member = ns2_myns2_string__java_lang_String_String_Serializer
						.deserialize(ns1_targetID_QNAME, reader, context);
				if (member instanceof SOAPDeserializationState) {
					if (builder == null) {
						builder = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPBuilder();
					}
					state = registerWithMemberState(instance, state, member,
							myTARGETID_INDEX, builder);
					isComplete = false;
				} else {
					instance.setTargetID((java.lang.String) member);
				}
				reader.nextElementContent();
				continue;
			}
			if (elementName.equals(ns1_targetfolder_QNAME)) {
				member = ns2_myns2_string__java_lang_String_String_Serializer
						.deserialize(ns1_targetfolder_QNAME, reader, context);
				if (member instanceof SOAPDeserializationState) {
					if (builder == null) {
						builder = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPBuilder();
					}
					state = registerWithMemberState(instance, state, member,
							myTARGETFOLDER_INDEX, builder);
					isComplete = false;
				} else {
					instance.setTargetfolder((java.lang.String) member);
				}
				reader.nextElementContent();
				continue;
			}
			if (elementName.equals(ns1_bName_QNAME)) {
				member = ns2_myns2_string__java_lang_String_String_Serializer
						.deserialize(ns1_bName_QNAME, reader, context);
				if (member instanceof SOAPDeserializationState) {
					if (builder == null) {
						builder = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPBuilder();
					}
					state = registerWithMemberState(instance, state, member,
							myBNAME_INDEX, builder);
					isComplete = false;
				} else {
					instance.setBName((java.lang.String) member);
				}
				reader.nextElementContent();
				continue;
			}
			if (elementName.equals(ns1_quality_QNAME)) {
				member = ns2_myns2_string__java_lang_String_String_Serializer
						.deserialize(ns1_quality_QNAME, reader, context);
				if (member instanceof SOAPDeserializationState) {
					if (builder == null) {
						builder = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPBuilder();
					}
					state = registerWithMemberState(instance, state, member,
							myQUALITY_INDEX, builder);
					isComplete = false;
				} else {
					instance.setQuality((java.lang.String) member);
				}
				reader.nextElementContent();
				continue;
			}
			if (elementName.equals(ns1_comment_QNAME)) {
				member = ns2_myns2_string__java_lang_String_String_Serializer
						.deserialize(ns1_comment_QNAME, reader, context);
				if (member instanceof SOAPDeserializationState) {
					if (builder == null) {
						builder = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPBuilder();
					}
					state = registerWithMemberState(instance, state, member,
							myCOMMENT_INDEX, builder);
					isComplete = false;
				} else {
					instance.setComment((java.lang.String) member);
				}
				reader.nextElementContent();
				continue;
			}
			if (elementName.equals(ns1_semanticRelation_QNAME)) {
				member = ns2_myns2_string__java_lang_String_String_Serializer
						.deserialize(ns1_semanticRelation_QNAME, reader,
								context);
				if (member instanceof SOAPDeserializationState) {
					if (builder == null) {
						builder = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPBuilder();
					}
					state = registerWithMemberState(instance, state, member,
							mySEMANTICRELATION_INDEX, builder);
					isComplete = false;
				} else {
					instance.setSemanticRelation((java.lang.String) member);
				}
				reader.nextElementContent();
				continue;
			}
			if (elementName.equals(ns1_etymRelation_QNAME)) {
				member = ns2_myns2_string__java_lang_String_String_Serializer
						.deserialize(ns1_etymRelation_QNAME, reader, context);
				if (member instanceof SOAPDeserializationState) {
					if (builder == null) {
						builder = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPBuilder();
					}
					state = registerWithMemberState(instance, state, member,
							myETYMRELATION_INDEX, builder);
					isComplete = false;
				} else {
					instance.setEtymRelation((java.lang.String) member);
				}
				reader.nextElementContent();
				continue;
			}
			if (elementName.equals(ns1_SID_QNAME)) {
				member = ns2_myns2_string__java_lang_String_String_Serializer
						.deserialize(ns1_SID_QNAME, reader, context);
				if (member instanceof SOAPDeserializationState) {
					if (builder == null) {
						builder = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPBuilder();
					}
					state = registerWithMemberState(instance, state, member,
							mySID_INDEX, builder);
					isComplete = false;
				} else {
					instance.setSID((java.lang.String) member);
				}
				reader.nextElementContent();
				continue;
			}
			if (elementName.equals(ns1_approved_QNAME)) {
				member = ns2_myns2_string__java_lang_String_String_Serializer
						.deserialize(ns1_approved_QNAME, reader, context);
				if (member instanceof SOAPDeserializationState) {
					if (builder == null) {
						builder = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPBuilder();
					}
					state = registerWithMemberState(instance, state, member,
							myAPPROVED_INDEX, builder);
					isComplete = false;
				} else {
					instance.setApproved((java.lang.String) member);
				}
				reader.nextElementContent();
				continue;
			}
			if (elementName.equals(ns1_deleted_QNAME)) {
				member = ns2_myns2_string__java_lang_String_String_Serializer
						.deserialize(ns1_deleted_QNAME, reader, context);
				if (member instanceof SOAPDeserializationState) {
					if (builder == null) {
						builder = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPBuilder();
					}
					state = registerWithMemberState(instance, state, member,
							myDELETED_INDEX, builder);
					isComplete = false;
				} else {
					instance.setDeleted((java.lang.String) member);
				}
				reader.nextElementContent();
				continue;
			}
			if (elementName.equals(ns1_editable_QNAME)) {
				member = ns2_myns2_string__java_lang_String_String_Serializer
						.deserialize(ns1_editable_QNAME, reader, context);
				if (member instanceof SOAPDeserializationState) {
					if (builder == null) {
						builder = new info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct_SOAPBuilder();
					}
					state = registerWithMemberState(instance, state, member,
							myEDITABLE_INDEX, builder);
					isComplete = false;
				} else {
					instance.setEditable((java.lang.String) member);
				}
				reader.nextElementContent();
				continue;
			} else {
				throw new DeserializationException(
						"soap.unexpectedElementName", new Object[] {
								ns1_editable_QNAME, elementName });
			}
		}

		XMLReaderUtil.verifyReaderState(reader, XMLReader.END);
		return (isComplete ? (java.lang.Object) instance
				: (java.lang.Object) state);
	}

	@Override
	public void doSerializeAttributes(java.lang.Object obj, XMLWriter writer,
			SOAPSerializationContext context) throws java.lang.Exception {
		info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct instance = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct) obj;

	}

	@Override
	public void doSerializeInstance(java.lang.Object obj, XMLWriter writer,
			SOAPSerializationContext context) throws java.lang.Exception {
		info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct instance = (info.textgrid.lab.dictionarysearch.client.Wbb_WebServiceSoap_wbb_setLink_RequestStruct) obj;

		ns2_myns2_string__java_lang_String_String_Serializer.serialize(
				instance.getSourceID(), ns1_sourceID_QNAME, null, writer,
				context);
		ns2_myns2_string__java_lang_String_String_Serializer.serialize(
				instance.getSourcefolder(), ns1_sourcefolder_QNAME, null,
				writer, context);
		ns2_myns2_string__java_lang_String_String_Serializer.serialize(
				instance.getTargetID(), ns1_targetID_QNAME, null, writer,
				context);
		ns2_myns2_string__java_lang_String_String_Serializer.serialize(
				instance.getTargetfolder(), ns1_targetfolder_QNAME, null,
				writer, context);
		ns2_myns2_string__java_lang_String_String_Serializer.serialize(
				instance.getBName(), ns1_bName_QNAME, null, writer, context);
		ns2_myns2_string__java_lang_String_String_Serializer
				.serialize(instance.getQuality(), ns1_quality_QNAME, null,
						writer, context);
		ns2_myns2_string__java_lang_String_String_Serializer
				.serialize(instance.getComment(), ns1_comment_QNAME, null,
						writer, context);
		ns2_myns2_string__java_lang_String_String_Serializer.serialize(
				instance.getSemanticRelation(), ns1_semanticRelation_QNAME,
				null, writer, context);
		ns2_myns2_string__java_lang_String_String_Serializer.serialize(
				instance.getEtymRelation(), ns1_etymRelation_QNAME, null,
				writer, context);
		ns2_myns2_string__java_lang_String_String_Serializer.serialize(
				instance.getSID(), ns1_SID_QNAME, null, writer, context);
		ns2_myns2_string__java_lang_String_String_Serializer.serialize(
				instance.getApproved(), ns1_approved_QNAME, null, writer,
				context);
		ns2_myns2_string__java_lang_String_String_Serializer
				.serialize(instance.getDeleted(), ns1_deleted_QNAME, null,
						writer, context);
		ns2_myns2_string__java_lang_String_String_Serializer.serialize(
				instance.getEditable(), ns1_editable_QNAME, null, writer,
				context);
	}
}
